define(["require", "exports", "./baseModel"], function (require, exports, baseModel_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    class MonsterModel extends baseModel_1.BaseModel {
        get isBoss() {
            return this._isBoss;
        }
        set isBoss(value) {
            this._isBoss = value;
        }
        set baseGold(value) {
            this._baseGold = value;
        }
        set baseMagicEssence(value) {
            this._baseMagicEssence = value;
        }
        get gold() {
            return Math.ceil((this._level * 0.2 + 0.8) * this._baseGold);
        }
        get magicEssence() {
            return Math.ceil((this._level * 0.2 + 0.8) * this._baseMagicEssence);
        }
        get defense() {
            return this._defense;
        }
        set defense(value) {
            this._defense = value;
        }
        get defenseType() {
            return this._defenseType;
        }
        set defenseType(value) {
            this._defenseType = value;
        }
        get uid() {
            return this._uid;
        }
        set hp(value) {
            this._hp = value;
        }
        get hp() {
            return this._hp;
        }
        get maxHp() {
            return Math.ceil((0.7222323 + 0.2171933 * this._level + 0.002680284 * this._level * this._level) * this._baseMaxHp);
        }
        set baseMaxHp(value) {
            this._baseMaxHp = value;
        }
        get alive() {
            return this._alive;
        }
        set alive(value) {
            this._alive = value;
        }
        get moveSpeed() {
            return this._moveSpeed;
        }
        set moveSpeed(value) {
            this._moveSpeed = value;
        }
        get configId() {
            return this._configId;
        }
        set configId(value) {
            this._configId = value;
        }
        get level() {
            return this._level;
        }
        set level(value) {
            this._level = value;
        }
        constructor(uid) {
            super();
            this._uid = uid;
            this._alive = true;
        }
        genKey() {
            return "monster_" + this._uid;
        }
    }
    exports.MonsterModel = MonsterModel;
});
//# sourceMappingURL=monsterModel.js.map