define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    class CharacterAction {
        constructor(field) {
            this._finished = false;
            this._field = field;
        }
        get game() {
            return this._field.game;
        }
        get field() {
            return this._field;
        }
        get finished() {
            return this._finished;
        }
        set finished(value) {
            this._finished = value;
        }
    }
    exports.CharacterAction = CharacterAction;
});
//# sourceMappingURL=characterAction.js.map