define(["require", "exports", "./baseSkill"], function (require, exports, baseSkill_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    class NormalAttack extends baseSkill_1.BaseSkill {
        doUpdateFrame() {
            let targets = this.findTargets();
            if (targets.length > 0) {
                let target = targets[0];
                this.applyDamage(target, [this.calculateDamage(target)]);
                this.showTargetEffect(target);
                this.showActorEffect(target);
            }
            this.finished = true;
        }
    }
    exports.NormalAttack = NormalAttack;
});
//# sourceMappingURL=normalAttack.js.map