define(["require", "exports", "../baseSkill", "../../buff/baseBuff"], function (require, exports, baseSkill_1, baseBuff_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    class MasterSword extends baseSkill_1.BaseSkill {
        constructor() {
            super(...arguments);
            this.counter = 0;
        }
        init() {
            super.init();
            this.field.onPropertyChangedS("MonsterKilled", this, () => {
                this.counter++;
                if (this.counter == 10) {
                    this.counter = 0;
                    let b = new baseBuff_1.BaseBuff(0, this.config.id + baseBuff_1.BaseBuff.CustomBuffStartType, Number.MAX_SAFE_INTEGER, 1);
                    b.duration = Number.MAX_SAFE_INTEGER;
                    b.times = Number.MAX_SAFE_INTEGER;
                    b.addEffect(baseBuff_1.BaseBuff.AttackStatus, 0.01, 0);
                    this.npc.addBuff(b, false);
                }
            });
        }
        doUpdateFrame() {
        }
    }
    exports.MasterSword = MasterSword;
});
//# sourceMappingURL=masterSword.js.map