define(["require", "exports", "../../utils/fontUtil", "./customMsgBox"], function (require, exports, fontUtil_1, customMsgBox_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    class ConfirmMsgBox extends customMsgBox_1.CustomMsgBox {
        constructor(scene, content, winWidth, winHeight) {
            super(scene, null, winWidth, winHeight);
            let txt = scene.game.make.text(0, 0, content, fontUtil_1.FontUtil.getTextFont(24, '#000000', fontUtil_1.FontUtil.DFW, 0));
            txt.wordWrap = true;
            txt.wordWrapWidth = this.winWidth - 24;
            this.container = txt;
        }
    }
    exports.ConfirmMsgBox = ConfirmMsgBox;
});
//# sourceMappingURL=confirmMsgBox.js.map