define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    class StringUtil {
        static convertFromSeconds(time) {
            let hours = Math.floor(time / 3600);
            let minute;
            let seconds = time % 60;
            let ret = "";
            if (hours > 0) {
                ret += hours + ":";
                minute = Math.floor(time / 60) % 60;
            }
            else {
                minute = Math.floor(time / 60);
            }
            if (minute < 10) {
                ret += "0" + minute + ":";
            }
            else {
                ret += minute + ":";
            }
            if (seconds < 10) {
                ret += "0" + seconds;
            }
            else {
                ret += seconds;
            }
            return ret;
        }
    }
    exports.StringUtil = StringUtil;
});
//# sourceMappingURL=stringUtil.js.map