define(["require", "exports", "./baseModel"], function (require, exports, baseModel_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    class SkillModel extends baseModel_1.BaseModel {
        get condition() {
            return this._condition;
        }
        get configId() {
            return this._configId;
        }
        static isRushOnly(cond) {
            return cond > 100 && cond % 100 > 1;
        }
        constructor(userId, npcId, configId, condition) {
            super();
            this._uid = userId + "." + npcId + "." + configId;
            this._configId = configId;
            this._condition = condition;
        }
        genKey() {
            return "skill_" + this._uid;
        }
    }
    exports.SkillModel = SkillModel;
});
//# sourceMappingURL=skillModel.js.map