define(["require", "exports", "./scroller"], function (require, exports, scroller_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    class DirectionalScroller extends scroller_1.Scroller {
        constructor(game, clickObject, options = {}) {
            super(game, clickObject, { x: clickObject.width, y: clickObject.height }, options);
        }
        handleDown(target, pointer) {
            this.old = this.down = pointer[this.o.direction];
            super.handleDown(target, pointer);
        }
        handleUp(target, pointer) {
            this.current = pointer[this.o.direction];
            super.handleUp(target, pointer);
        }
    }
    exports.DirectionalScroller = DirectionalScroller;
});
//# sourceMappingURL=directionalScroller.js.map