define(["require", "exports", "./nineImage"], function (require, exports, nineImage_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    class SimpleGameUI {
        constructor(game) {
            this.imageKey = 'basic-ui';
            this.game = game;
        }
        init() {
            this.game.load.atlasXML(this.imageKey, 'uipack-rpg/Spritesheet/uipack_rpg_sheet.png', 'uipack-rpg/Spritesheet/uipack_rpg_sheet.xml');
        }
        createPanel(x, y, width, height) {
            let bitmapData = nineImage_1.NineImage.create(this.game, width, height, this.imageKey, 'panel_beige.png', 45, 60, 45, 15);
            return new Phaser.Sprite(this.game, x, y, bitmapData);
        }
    }
    exports.SimpleGameUI = SimpleGameUI;
});
//# sourceMappingURL=simpleGameUI.js.map