define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    class RadioGroup {
        constructor() {
            this._selectableItem = [];
        }
        addItem(item) {
            this._selectableItem.push(item);
        }
        onItemSelected(item) {
            for (let i of this._selectableItem) {
                if (i == item) {
                    continue;
                }
                i.deactivated();
            }
            item.activated();
        }
    }
    exports.RadioGroup = RadioGroup;
});
//# sourceMappingURL=simpleRadioGroup.js.map